Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis.filter
Class BrazilianStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              fr.gouv.culture.sdx.search.lucene.analysis.filter.BrazilianStemFilter

    public final class BrazilianStemFilter

extends org.apache.lucene.analysis.TokenFilter

Based on (copied) the GermanStemFilter

Version:
  $Id: BrazilianStemFilter.java,v 1.1 2007/09/19 15:51:02 malo_pichot Exp $
Author:
  João Kramer A filter that stemms german words. It supports a table of words that should not be stemmed at all., Gerhard Schwarz

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`BrazilianStemFilter(org.apache.lucene.analysis.TokenStream in)`
`BrazilianStemFilter(org.apache.lucene.analysis.TokenStream in, java.util.Set exclusiontable)` Builds a BrazilianStemFilter that uses an exclusiontable.

Method Summary
`org.apache.lucene.analysis.Token` | `next()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrazilianStemFilter

    public BrazilianStemFilter(org.apache.lucene.analysis.TokenStream in)

Parameters:
  `in` -

### BrazilianStemFilter

    public BrazilianStemFilter(org.apache.lucene.analysis.TokenStream in,
                               java.util.Set exclusiontable)

  Builds a BrazilianStemFilter that uses an exclusiontable.

  Parameters:
    `in` -
    `exclusiontable` -

Method Detail

### next

    public final org.apache.lucene.analysis.Token next()
                                                throws java.io.IOException

  Specified by:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.